Skip to main content
GET
/
api
/
v2
/
channels
/
publish
/
records
/
queued
Queued Publish List
curl --request GET \
  --url https://aitoearn.cn/api/v2/channels/publish/records/queued \
  --header 'X-Api-Key: <api-key>'
{ "code": 0, "message": "Request succeeded", "data": [ { "id": "string", "accountType": "douyin", "type": "video", "status": -1, "publishTime": "2026-07-02T12:00:00.000Z", "flowId": "string", "taskId": "string", "userTaskId": "string", "accountId": "string", "title": "string", "desc": "string", "platformWorkId": "string" } ] }

Authorizations

X-Api-Key
string
header
required

Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".

Query Parameters

accountId
string

Account ID

accountType
enum<string>

Account platform

Available options:
douyin,
xhs,
wxSph,
KWAI,
youtube,
wxGzh,
bilibili,
twitter,
tiktok,
facebook,
instagram,
threads,
pinterest,
linkedin,
google_business
time
string<date-time>[]

Release time range

start time

Response

200 - application/json

The request has been processed by the service. Business success is determined by whether the response body has code === 0.

code
integer
required

Business status code. 0 means success; non-zero means a business error.

message
string
required

Response message.

data
object[]
requestId
string

Request ID.

timestamp
integer

Error response timestamp in Unix milliseconds.